--- ipac-ng-1.27/storage/postgre/postgre.c.orig	2003-03-07 08:12:16 +0300
+++ ipac-ng-1.27/storage/postgre/postgre.c	2004-03-30 16:13:01 +0400
@@ -150,7 +150,7 @@
 	    if (just_before != NULL) {
 		    sprintf(wh_exec, "select that_time from logs where "
 				    "that_time <%lu::bigint order by that_time desc limit 1", start);
-		    PQexec(conn, wh_exec);
+		    res = PQexec(conn, wh_exec);
 		    if (PQntuples(res)>0)
 			    *just_before = strtoul((char *) PQgetvalue(res, 0, 0), NULL, 0);
 		    else
@@ -160,8 +160,8 @@
 	    if (just_after != NULL) {
 		    sprintf(wh_exec, "select that_time from logs where "
 				    "that_time >%lu::bigint order by that_time asc limit 1", end);
-		    PQexec(conn, wh_exec);
-		    if (PQntuples(res)>0)
+		    res = PQexec(conn, wh_exec);
+		    if (PQntuples(res)>0) 
 			    *just_after = strtoul((char *) PQgetvalue(res, 0, 0), NULL, 0);
 		    else
 			    *just_after = (timestamp_t) -1;
@@ -227,7 +227,7 @@
 	if (filter)
 		sprintf(wh_exec+strlen(wh_exec), " and rule_name like '%%%s%%'", filter);
 	sprintf(wh_exec+strlen(wh_exec), " order by that_time");
-	printf("quering: %s\n", wh_exec);
+//	printf("quering: %s\n", wh_exec);
 #ifdef DEBUG_POST
 	fprintf(logs, "%lu : postgre_stor_get_record\n", time(NULL));
 	fprintf(logs, "%s\n", wh_exec);
@@ -287,7 +287,7 @@
         fprintf(logs, "%s\n", wh_exec);
         fflush(logs);
 #endif	
-        PQexec(conn, wh_exec);
+        res = PQexec(conn, wh_exec);
         PQclear(res);
         res = PQexec(conn, "COMMIT");
         PQclear(res);
